import { SfdxCommand, FlagsConfig } from "@salesforce/command";
export default class Pmd extends SfdxCommand {
    static description: string;
    static examples: string[];
    protected static flagsConfig: FlagsConfig;
    protected initLoggerAndUx(): Promise<void>;
    run(): Promise<any>;
    /**
     * Return the rulests to be used by PMD.
     * Substitute the "sfpowerkit" ruleset with the path
     * to the ruleset file. The other rulesets are unchanged.
     * If the given rulesets param is empty, return the sfpowerkit
     * ruleset path.
     *
     * Since rulesets can also be found in PMD's classpath,
     * we let PMD validate the ruleset.
     *
     * @param rulesets the selected rulesets
     * @return the updated ruleset string
     *
     */
    private rulesets;
    /**
     * Returns the java home path.
     * If the flag `--javahome` was provided,
     * its value is returned. Otherwise this method
     * call "findJavaHome"
     *
     * @return the Java home path
     */
    private getJavaHome;
    private downloadPMD;
    /**
     * returns the full path of the default package.
     *
     * @returns the full path of the default package
     */
    private getDefaultPackagePath;
    /**
     * Returns the PMD command line options which matches this
     * command flags.
     *
     * @param pmdHome PMD install dir path
     * @return the PMD command line options
     */
    private commandOptions;
}
